%define 	module	RunSnakeRun
Summary:	GUI Viewer for Python profiling runs
Summary(pl.UTF-8):	Interfejs graficzny do wyników profilowania programów Pythonowych
Name:		python-%{module}
Version:	2.0.4
Release:	2
License:	BSD
Group:		Development/Languages/Python
#               http://pypi.python.org/packages/source/R/RunSnakeRun/RunSnakeRun-2.0.2a1.tar.gz
Source0:	http://pypi.python.org/packages/source/R/%{module}/%{module}-%{version}.tar.gz
# Source0-md5:	3220b5b89994baee70b1c24d7e42a306
URL:		http://www.vrplumber.com/programming/runsnakerun/
BuildRequires:	python-devel
BuildRequires:	python-distribute
BuildRequires:	rpm-pythonprov
# if py_postclean is used
BuildRequires:	rpmbuild(macros) >= 1.219
Requires:	python-distribute
Requires:	python-SquareMap >= 1.0.1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
simple program, it doesn't provide all the bells-and-whistles of a
program like KCacheGrind, it's intended to allow for profiling your
Python programs, and just your Python programs

%description -l pl.UTF-8
Prosty program pozwalający zobaczyć wyniki profiliwoania programów w
Pythonie.

%prep
%setup -q -n %{module}-%{version}

%build
%py_build

%install
rm -rf $RPM_BUILD_ROOT
%py_install

%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_comp $RPM_BUILD_ROOT%{py_sitedir}
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
# %doc AUTHORS CREDITS ChangeLog NEWS README THANKS TODO
%attr(755,root,root) %{_bindir}/runsnake
%attr(755,root,root) %{_bindir}/runsnakemem
%dir %{py_sitescriptdir}/runsnakerun
%{py_sitescriptdir}/runsnakerun/*.py[co]
%{py_sitescriptdir}/%{module}*.egg-info
%changelog
* Sat Nov 28 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-RunSnakeRun.git;a=log;h=master

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 3a99a4c
- release 2 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 563f5f8
- automatic change: use py_build/py_install macros

* Sun Feb 23 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 9560d45
- up to 2.0.4

* Mon Jul 16 2012 Mateusz Korniak <matkor@pld-linux.org> d144c72
- Version 2.0.2a1-1.

* Tue May 15 2012 Mateusz Korniak <matkor@pld-linux.org> 8b073e8
- Release 2. python-distribute needed during runtime.

* Tue May 15 2012 Mateusz Korniak <matkor@pld-linux.org> 93db39b
- Version 2.0.1-1.

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> b07dfa7
- release 2

* Tue May 18 2010 sparky <sparky@pld-linux.org> d3a5b91
- BR: python-distribute
- added missing cvs log

* Tue May 18 2010 Mateusz Korniak <matkor@pld-linux.org> 5271b4c
- Version 2.0.0b6.

* Sat Jun 06 2009 Mateusz Korniak <matkor@pld-linux.org> 2f1ecf4
- Initial 2.0.0b4-1

